@use '../../global/styles-variables' as *;
@use '../../global/utilities' as *;

:host {
	$base: '.digi-docs-grid-list-item';
	display: grid;
	grid-row: span 4;
	grid-template-rows: subgrid;
	grid-template-columns: subgrid;
	row-gap: var(--digi--padding--small);

	@media screen and (max-width: $digi--breakpoint--large-below) {
		grid-column: span 2;
	}

	&.variant1 {
		#{$base} {
			display: grid;

			&__footer {
				ul,
				ol {
		list-style: none;
		padding: 0;
		margin: 0;
	}
				@media screen and (max-width: $digi--breakpoint--large-below) {
					grid-column: span 2;
					grid-row: 2 / 3;
				}
			}
		}
	}
}

::slotted(*) {
	h2,
	h3 {
		margin-top: 0px;
	}
	p:last-child {
		margin-bottom: var(--digi--margin--text-small);
		@media screen and (max-width: $digi--breakpoint--large-below) {
			margin-bottom: var(--digi--padding--medium);
		}
	}
	ul,
	ol {
		list-style: none;
		padding: 0;
		margin: 0;
	}
}
